Subject: Re: PostScript Level 2 and Kanji

From: [email-masked]
Date: Tue, 18 Feb 1992 17:42:57 EST

In article <[email-masked]> [email-masked] (Dick Dunn)
 writes:
>[email-masked] (Tetsushi Nakahara) writes:
>>Does anybody know whether PS-L2 supports Japanese Kanji characters?
>
>Yes, in the sense that it has all the support needed.  The extensions to
>PostScript for "composite fonts", used in various Kanji printers, have been
>made part of the language in Level 2.
>
>>...However, when
>>I asked an Adobe rep at MacWorld Expo, his reply was kind of "Some
>>L2 printer may print Kanji, others may not."
>
>The issue is fonts and where to put them: Can you get a set of Kanji
>fonts, and will your printer be able to handle them?  In practice, you're
>going to need a printer with a hard disk attached--these do exist outside
>the Kanji world.  Where you'd get the fonts by themselves, I don't know.

The issue is indeed fonts.  Level-2's composite character and non-Roman
writing modes are all that is needed for Kanji, or any other font with a
large number of glyphs.

The problem is one of where to get "official" Adobe Kanji.  The Adobe Kanji
font outlines are licensed from a Japanese company, (I forget the name)
which has a very, very, *VERY*, strict protection agreement. It makes most
copy-protection schemes software look like shareware by comparison.

The Kanji font disk is configured for one and only one PS device. The copy
protection scheme requires a bit of customizing in the ROMS, hence the
"localized" version of PS RIP.

There are some third-party Kanji fonts which are not copy protected.  These
should work with the level-2 RIP.  I do not know how complete they are, nor
their quality.  You'll have to shop around.

--
----
[email-masked]  | For most software publishers, quality is job 1.01.
Tektronix Color Printers|                            -- MacWeek Magazine